%define versioncommit 63d1d465a7c27d661f29d11803c354bda10df53c

Name:           tipcutils
Version:        3.0.4
Release:        1
License:        BSD
URL:            https://sourceforge.net/projects/tipc/ 
Summary:        Utils package required to configure TIPC
Source0:        https://sourceforge.net/code-snapshots/git/t/ti/tipc/tipcutils.git/tipc-%{name}-%{versioncommit}.zip

Patch1:         backport-tipcutils-str_warnings.patch
Patch2:         backport-tipcutils-format_errors.patch

BuildRequires:  gcc autoconf automake libtool libdaemon-devel libmnl-devel make

%description
A fundamental concept in TIPC is that of Service Addressing
which makes it possible for a programmer to chose his own address,
bind it to a server socket and let client programs use only that address for sending messages.

%package_help

%prep
%autosetup -n tipc-%{name}-%{versioncommit} -p1
head -n34 include/tipcc.h | tail -n25 | sed -e 's/ \* //g' -e 's/\*//g' > LICENSE

# undefined UIO_MAXIOV in iovec_client.c => skip it
sed -ie 's/ iovec / /g' test/Makefile.am

# tipc-trace needs Python2 => skip it
sed -ie 's/ tipc-trace//g' utils/Makefile.am

%build
./bootstrap
LDFLAGS="-fPIE" \
	%configure
make

%install
%make_install

%files
%defattr(-,root,root)
%license LICENSE
%{_sbindir}/tipclog
%{_sbindir}/tipc-link-watcher
%{_bindir}/tipc-pipe

%files          help
%defattr(-,root,root)
%doc README
%{_mandir}/man1/*.1.gz

%check
make check

%changelog
* Thu Dec 28 2023 xinghe <xinghe2@h-partners.com> - 3.0.4-1
- Type:requirement
- ID:NA
- SUG:NA
- DESC:update to 3.0.4

* Thu Sep 10 2020 lunankun <lunankun@huawei.com> - 2.2.0-4
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:fix source0 url

* Tue Dec 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.2.0-3
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:modify the spec

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.2.0-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Fri Sep 06 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.2.0-1
- Package init
